Bug 186681 - Unable to connect to CUPS server localhost
Unable to connect to CUPS server localhost
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vince Worthington
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-03-25 06:46 EST by Vilius Šumskas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-23 18:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Samba config (10.90 KB, application/octet-stream)
2006-05-18 09:51 EDT, Vilius Šumskas
no flags Details
Samba logs (66.61 KB, application/octet-stream)
2006-05-18 10:01 EDT, Vilius Šumskas
no flags Details
CUPS logs (972 bytes, application/octet-stream)
2006-05-18 10:01 EDT, Vilius Šumskas
no flags Details

  None (edit)
Description Vilius Šumskas 2006-03-25 06:46:28 EST
Description of problem:
"load printers = no" seems not to work anymore. If I have CUPS service turned 
off and don't want to use printers, I get "Unable to connect to CUPS server 
localhost Connection refused" error from time to time in message log.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Turn off CUPS service (service cups stop)
2. put "load printers = no" into smb.conf
Additional info:
It's not clean FC5 install but upgrade from FC4.
Comment 1 Vince Worthington 2006-05-05 09:53:58 EDT

Am going to work on reproducing this, should have more info soon.
Comment 2 Vince Worthington 2006-05-18 09:31:56 EDT
Can you please attach your smb.conf and also please run this command and post
its output?

# rpm -qa | egrep "(samba|cups)"

So we know the versions of all samba and cups-related packages on the system. 
Also might as well get the samba and cups logs:

# tar cjf samba-logs.tar.bz2 /var/log/samba/*

# tar cjf cups-logs.tar.bz2 /var/log/cups/*

Comment 3 Vilius Šumskas 2006-05-18 09:51:23 EDT
Created attachment 129420 [details]
Samba config
Comment 4 Vilius Šumskas 2006-05-18 09:56:47 EDT
# rpm -qa | egrep "(samba|cups)"

# chkconfig --list | egrep "(smb|cups)"
cups            0:off   1:off   2:on    3:off   4:on    5:on    6:off
smb             0:off   1:off   2:off   3:on    4:off   5:off   6:off

# runlevel
N 3
Comment 5 Vilius Šumskas 2006-05-18 10:01:05 EDT
Created attachment 129423 [details]
Samba logs
Comment 6 Vilius Šumskas 2006-05-18 10:01:53 EDT
Created attachment 129424 [details]
CUPS logs
Comment 7 Vilius Šumskas 2006-07-17 08:50:12 EDT
Still there in 3.0.23-1.fc5
Comment 8 Vilius Šumskas 2006-10-30 00:53:45 EST
Still there in FC6 and Samba 3.0.23c-1.fc6
Comment 9 Simo Sorce 2007-03-14 11:19:50 EDT
CAn you set printing = bsd in smb.conf and see if this "fixes" it ?
Comment 10 Vilius Šumskas 2007-03-14 11:55:51 EDT
Nice. Seems like you finally solved it.

I also found this thread http://lists.samba.org/archive/samba/2006-

Samba needs one global switch to turn off printing however.
Comment 11 Simo Sorce 2007-03-23 18:59:09 EDT
Thanks for reporting back,
I will close this as not a bug, as I consider it more a configuration problem
then a real bug, although I understand it is difficult to discover the correct
set of options to do what you need.

Maybe you can file a feature request at bugzilla.samba.org to ask for a global
printing shutdown switch.

Note You need to log in before you can comment on or make changes to this bug.